We are running idm 2.0.1 and are a little surprised to hear that this
version is no longer advisable to be installed on a new server. Is the
upgrade to IDM 3.5 a major stepping stone. For example is the software
similar to 2.0.1 and will my configuration just work?

Any pointers or URL link to the upgrade?